#include<iostream>
using namespace std;
long N,k,A[1000];
long Rek(long l,long d,long k,long A[]){
	long j,i,r=0,x=0;
	if(k>0)for(i=l;i<=d;i++)for(j=i;j<=d;j++)r+=Rek(i,j,k-1,A);
	else{
		for(j=l;j<=d;j++)r+=A[j];	
	}
	return r;
}
int main(){
	long r=0;
	cin>>N>>k;
	for(int i=0;i<N;i++)cin>>A[i];
	r=Rek(0,N-1,k,A);
	cout<<r;
	return 0;
}